---
title: Create Webhook
description: Creates a new webhook that listens for specific events. Supports optional association with a chat.
docs_index: /docs/llms.txt
lastUpdated: 2026-10-27
badge: "POST"
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Creates a new webhook that listens for specific events. Supports optional association with a chat.

#### `POST /v2/hooks`

## Usage

```typescript
import { v0 } from 'v0'

const result = await v0.webhooks.create({
  name: 'My Project',
  events: 'example',
  url: 'https://example.com',
  chatId: 'chat_abc123',
})

console.log(result)
```

```bash
curl -X POST "https://api.v0.dev/v2/hooks"   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"   -d '{"name":"My Project","events":"example","url":"https://example.com","chatId":"chat_abc123"}'
```

## API Signature

### Request

#### Request Body

- `name: string` A human-readable name for the webhook.
- `events: ('chat.created' | 'chat.updated' | 'chat.deleted' | 'message.created' | 'message.updated' | 'message.deleted' | 'message.finished')[]` List of event types the webhook should subscribe to.
- `url: string` The target URL to receive the webhook payloads.
- `chatId: string | null` The ID of a chat to scope the webhook to.

### Response

- `id: string` A unique identifier for the webhook.
- `createdAt: string` The ISO timestamp representing when the chat was created.
- `name: string` A user-defined name to label the webhook.
- `events: ('chat.created' | 'chat.updated' | 'chat.deleted' | 'message.created' | 'message.updated' | 'message.deleted' | 'message.finished')[]` List of event types this webhook is subscribed to.
- `url: string` Target URL that receives event payloads for this webhook.
- `chatId: string | null` Optional ID of the chat that this webhook is scoped to.

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)